### Method

# Camel MessageInfo pooldup_uid

since: 3.24

#### Declaration [src]

    const gchar*
    camel_message_info_pooldup_uid (
      const CamelMessageInfo* mi
    )

#### Description [src]

Get the UID of the #mi, duplicated on the Camel’s string pool. This is good for thread safety, though the UID should not change once set.

Available since: 3.24

#### Return value

Type: `const gchar*`

A newly references string in the string pool, the #mi UID. Free it with `camel_pstring_free()` when no longer needed.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.